#ifndef BEZIER_H
#define BEZIER_H


#include "program.h"
#include "matma.h"
#include "material.h"
#include "movablemodel.h"
#include "materialmodel.h"


class Bezier: public MovableModel, public MaterialModel{
    public:
        void Initialize(const float points [16][4]);
        void Draw(Program & program);
        ~Bezier();
        Bezier();
        void Move(float dt);
        void SpeedUp(){velocity_*=1.09544511501f;}
        void SlowDown(){velocity_/=1.09544511501f;}
        void ToggleAnimated(){animating_=!animating_;}
    private:
        GLuint vao_;
        GLuint vertices_;

        float velocity_;
        float rotation_angle_;
        bool animating_;
};

#endif // BEZIER_H
